## org.omg.CORBA
Class ExceptionDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ExceptionDefHelper

public class ExceptionDefHelper
extends java.lang.Object

Helper class for : ExceptionDef

Author:
  OpenORB Compiler

Constructor Summary
`ExceptionDefHelper()`

Method Summary
`static ExceptionDef` `extract(Any a)` Extract ExceptionDef from an any
`static java.lang.String` `id()` Return the ExceptionDef IDL ID
`static void` `insert(Any a, ExceptionDef t)` Insert ExceptionDef into an any
`static ExceptionDef` `narrow(Object obj)` Narrow CORBA::Object to ExceptionDef
`static ExceptionDef` `read(InputStream istream)` Read ExceptionDef from a marshalled stream
`static TypeCode` `type()` Return the ExceptionDef TypeCode
`static ExceptionDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ExceptionDef
`static void` `write(OutputStream ostream, ExceptionDef value)` Write ExceptionDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionDefHelper

    public ExceptionDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ExceptionDef t)

  Insert ExceptionDef into an any
  Parameters:
    `a` - an any
    `t` - ExceptionDef value

### extract

    public static ExceptionDef extract(Any a)

  Extract ExceptionDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ExceptionDef value

### type

    public static TypeCode type()

  Return the ExceptionDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ExceptionDef IDL ID
  Returns:
    an ID

### read

    public static ExceptionDef read(InputStream istream)

  Read ExceptionDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ExceptionDef value

### write

    public static void write(OutputStream ostream,
                             ExceptionDef value)

  Write ExceptionDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ExceptionDef value

### narrow

    public static ExceptionDef narrow(Object obj)

  Narrow CORBA::Object to ExceptionDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ExceptionDef Object

### unchecked_narrow

    public static ExceptionDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ExceptionDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ExceptionDef Object